/**
 * output package name
 */
package com.kingdee.eas.custom.orgunitEx;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ProjectType extends StringEnum
{
    public static final String BUSDEP_VALUE = "1";//alias=事业部
    public static final String DIRECT_VALUE = "2";//alias=直管项目
    public static final String ENTRUST_VALUE = "3";//alias=委托项目
    public static final String COMMON_VALUE = "4";//alias=共管项目
    public static final String STRATEGIC_VALUE = "5";//alias=战略型项目

    public static final ProjectType BUSDEP = new ProjectType("BUSDEP", BUSDEP_VALUE);
    public static final ProjectType DIRECT = new ProjectType("DIRECT", DIRECT_VALUE);
    public static final ProjectType ENTRUST = new ProjectType("ENTRUST", ENTRUST_VALUE);
    public static final ProjectType COMMON = new ProjectType("COMMON", COMMON_VALUE);
    public static final ProjectType STRATEGIC = new ProjectType("STRATEGIC", STRATEGIC_VALUE);

    /**
     * construct function
     * @param String projectType
     */
    private ProjectType(String name, String projectType)
    {
        super(name, projectType);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ProjectType getEnum(String projectType)
    {
        return (ProjectType)getEnum(ProjectType.class, projectType);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ProjectType.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ProjectType.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ProjectType.class);
    }
}